Subject: Re: bug#79141: 31.0.50; The tab-bar-format-align-right cache doesn't take face changes and per-frame faces into account

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Aug 2025 21:14:32 +0300

> From: Daniel Mendler <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 12 Aug 2025 20:02:41 +0200
> 
> Juri Linkov <[email-masked]> writes:
> 
> > close 79141 31.0.50
> > quit
> >
> >> I don't have a clear idea what should the proposed modification hook be
> >> used for, so I'm not sure whether we need to expose anything to Lisp.
> >> If you or someone else could describe the proposed use of such a tick,
> >> I could try providing a more useful advice.
> >
> > Since no one has an idea how to use such a tick,
> > I had to revert the last change.
> 
> To me the idea seemed clear. Expose a face change tick variable, which
> is incremented when the face cache is flushed. Assuming that the face
> cache logic is valid, the tick would be usable to monitor face changes.

What would you do with this monitoring?  IOW, how would you act when
Emacs indicates that it recomputed all the faces on a frame?